Package com.sas.lsaf.query.audit

## Class AuditEntryQuery

- java.lang.Object
- - com.sas.lsaf.query.Query
  - - com.sas.lsaf.query.audit.AuditEntryQuery

- All Implemented Interfaces:
    `java.io.Serializable`
  Direct Known Subclasses:
    `AuditEntryDetailQuery`

      public class AuditEntryQuery
      extends Query

  This class represents an API to generate criteria to query audit entries. To query audit entry details, execute a separate query by using `AuditEntryDetailQuery`.
  Since:
    2.3
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static java.util.List<Column>` | `ALL` | The value that represents all columns in `AuditEntryQuery`.
    `static Column` | `AUDIT_ENTRY_ACTION` | The audit column that represents the action that was performed.
    `static Column` | `AUDIT_ENTRY_ID` | The audit column that represents the unique identifier of the audit entry.
    `static Column` | `AUDIT_ENTRY_MODE` | The `Mode` in which the audit entry was recorded.
    `static Column` | `AUDIT_ENTRY_SOURCE_ID` | The unique identifier of the item that was audited.
    `static Column` | `AUDIT_ENTRY_SOURCE_LOCATION` | The location of the item that was audited.
    `static Column` | `AUDIT_ENTRY_SOURCE_NAME` | The name of the item that was audited.
    `static Column` | `AUDIT_ENTRY_SOURCE_TYPE_ID` | The type id of the item that was audited.
    `static Column` | `AUDIT_ENTRY_TIMESTAMP` | The audit column that represents the date and time on which the action was audited.
    `static Column` | `AUDIT_ENTRY_USERID` | The audit column that represents the userid of the user who performed the action that was audited.

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `AuditEntryQuery()` |

  - ### Method Summary

    - ### Methods inherited from class com.sas.lsaf.query.Query

      `constrain, getColumns, getConstraint, getOrder, includeColumnNames, isIncludeColumnNames, order, order, select, select, setColumns, setConstraint, setIncludeColumnNames, setOrder, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### AUDIT_ENTRY_ID

          public static final Column AUDIT_ENTRY_ID

      The audit column that represents the unique identifier of the audit entry.

    - #### AUDIT_ENTRY_TIMESTAMP

          public static final Column AUDIT_ENTRY_TIMESTAMP

      The audit column that represents the date and time on which the action was audited.

    - #### AUDIT_ENTRY_USERID

          public static final Column AUDIT_ENTRY_USERID

      The audit column that represents the userid of the user who performed the action that was audited.

    - #### AUDIT_ENTRY_ACTION

          public static final Column AUDIT_ENTRY_ACTION

      The audit column that represents the action that was performed.

    - #### AUDIT_ENTRY_SOURCE_TYPE_ID

          public static final Column AUDIT_ENTRY_SOURCE_TYPE_ID

      The type id of the item that was audited. See `TypeConstants` for the list of type ids.

      Note: When searching for audit entries based on abstract type `TypeConstants.TYPE_FILE`, all of the file types are queried which include the following file type. These types can also be searched individually.

      - `TypeConstants.TYPE_SAS_DATASET`
      - `TypeConstants.TYPE_SAS_PROGRAM`
      - `TypeConstants.TYPE_JOB`
      - `TypeConstants.TYPE_PDF`

    - #### AUDIT_ENTRY_SOURCE_ID

          public static final Column AUDIT_ENTRY_SOURCE_ID

      The unique identifier of the item that was audited.

    - #### AUDIT_ENTRY_SOURCE_NAME

          public static final Column AUDIT_ENTRY_SOURCE_NAME

      The name of the item that was audited.

    - #### AUDIT_ENTRY_SOURCE_LOCATION

          public static final Column AUDIT_ENTRY_SOURCE_LOCATION

      The location of the item that was audited.

    - #### AUDIT_ENTRY_MODE

          public static final Column AUDIT_ENTRY_MODE

      The `Mode` in which the audit entry was recorded.

    - #### ALL

          public static final java.util.List<Column> ALL

      The value that represents all columns in `AuditEntryQuery`.

  - ### Constructor Detail

    - #### AuditEntryQuery

          public AuditEntryQuery()